import request from '@/utils/request'

// 查询plc通用信息列表
export function listGvlcommon(query) {
  return request({
    url: '/plc/gvlcommon/list',
    method: 'get',
    params: query
  })
}

// 查询plc通用信息详细
export function getGvlcommon(id) {
  return request({
    url: '/plc/gvlcommon/' + id,
    method: 'get'
  })
}

// 新增plc通用信息
export function addGvlcommon(data) {
  return request({
    url: '/plc/gvlcommon',
    method: 'post',
    data: data
  })
}

// 修改plc通用信息
export function updateGvlcommon(data) {
  return request({
    url: '/plc/gvlcommon',
    method: 'put',
    data: data
  })
}

// 删除plc通用信息
export function delGvlcommon(id) {
  return request({
    url: '/plc/gvlcommon/' + id,
    method: 'delete'
  })
}
